ByCloud Docs
GuidesCLIAPISDK
get/v1/security-group-rules/{security_group_rule_id}

Get security group rule

Get details of a specific security group rule

Path Parameters

security_group_rule_id

string<uuid>required

path

Security Group Rule ID

Example: "550e8400-e29b-41d4-a716-446655440000"

Responses

200

Security group rule details

Content-Type: application/json

security_group_rule

objectoptional
401

Authentication required or token invalid

Content-Type: application/json

error

objectrequired
404

Resource not found

Content-Type: application/json

error

objectrequired
500

Internal server error

Content-Type: application/json

error

objectrequired
curl -X GET "https://api.spo1.mycloud.com/v1/security-group-rules/550e8400-e29b-41d4-a716-446655440000" \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
-H "Content-Type: application/json"

Response

Security group rule details

{
"security_group_rule": {
"id": "550e8400-e29b-41d4-a716-446655440000",
"crn": "crn:spo1:network:security-group-rule:550e8400-e29b-41d4-a716-446655440000",
"security_group_id": "550e8400-e29b-41d4-a716-446655440001",
"direction": "ingress",
"ethertype": "IPv4",
"protocol": "tcp",
"port_range_min": 80,
"port_range_max": 80,
"remote_ip_prefix": "0.0.0.0/0",
"remote_group_id": "550e8400-e29b-41d4-a716-446655440000",
"description": "string",
"created_at": "2024-01-15T10:30:00Z",
"updated_at": "2024-01-15T10:30:00Z"
}
}